Subject: Re: From address matching...

From: Elmar Kurgpold <[email-masked]>
Date: Wed, 1 Jun 1994 15:34:46 -0700 (PDT)

I went through exhaustive testing to do something similar, maybe it will 
help.  Here is the recipe:

# Match anything else that is not on an internal alias
:0:
* !^TO[ 
,<](e(\.)?kurgpol(d)?|computing|help|postmaster|sys(-)?admin|staff|law)(
[@% >,]|$)
$MAILDIR/other/incoming

This matches any pattern that is sent to me, but not using an internal
address.  I did this so mail from mailing lists would end up in a
secondary folder (it matches this list, BTW).  Notice this requires the
address to end with a token like `@' or `%'. 

When I pasted this from my .procmailrc, I went "Huh?  Did I do that?"  
But it WORKS.  I pumped thousands of old messages through this filter, 
just to make sure they all matched, and this pattern did it all 
perfectly-- at least for me.

	Elmar

-------------------------------------         ,-,,-,   __
| Elmar Kurgpold                    |  ______/     /_,'  |
| Network Administrator             |  \________________/
| University of Southern California |       |<) (> |
| The Law Center                    |    (  | oo   |
| [email-masked]              |     ) `|  |--'
| (213)740-2571 FAX: (213)740-5502  |    (___^^^^|
-------------------------------------       (____'

On Wed, 1 Jun 1994, Joshua A. Laff wrote:

> This is probably a memory lapse on my part, but...
> 
> Can anyone think of an easy way to match specific logins without the addresses
> listed catching all matching patterns?
> 
> For examle:
> 
> :
> ^From laff
> folder
> 
> will catch everything from laff, but will also catch stuff like laffhaha.
> I need to limit this to just the login, but would like to do so easily. I also
> need to be able to apply this to stuff like:
> 
> :
> ^From (laff|fred|barney)
> folder
> 
> With again the same limitations. For those that work with perl, the equivalent
> would be to put \b's around the expression:
> 
> ^From \blaff\b
> 
> ^From \b(laff|fred|barney)\b
> 
> But those aren't standard regular expressions...
> 
>       Joshua A. Laff    (217)      //  Disclaimer: If I was important enough
>     CRL Head Operator     333-    //  that the UofI would let me speak for it,
>   University of Illinois   7408  //  the *last* thing I'd be doing would be
> email to: [email-masked]      //  sitting in front of a computer all day.
> ===============================================================================
> !lanimret ym edisni kcuts m'I !pleH
>